<p align="center">
  <a href="https://isar.xcl.ink">
    <img src="https://raw.githubusercontent.com/isar/isar/main/.github/assets/isar.svg?sanitize=true" height="128">
  </a>
  <h1 align="center">Isar Database</h1>
</p>

<p align="center">
  <a href="https://isar.xcl.ink">Quickstart</a> •
  <a href="https://isar.xcl.ink/schema">Documentation</a> •
  <a href="https://ei.xcl.ink/">EI Apps</a> •
  <a href="https://git.xcl.ink/ISAR/isar/issues/new">Support & Ideas</a> •
  <a href="https://git.xcl.ink/ISAR/-/packages/pub/isar">Pub.dev</a>
</p>

> #### Isar [ee-zahr]:
>
> 1. River in Bavaria, Germany.
> 2. [Crazy fast](#benchmarks) NoSQL database that is a joy to use.

## Features

- 💙 **Made for Flutter**. Easy to use, no config, no boilerplate
- 🚀 **Highly scalable** The sky is the limit (pun intended)
- 🍭 **Feature rich**. Composite & multi-entry indexes, query modifiers, JSON support etc.
- ⏱ **Asynchronous**. Parallel query operations & multi-isolate support by default
- 🦄 **Open source**. Everything is open source and free forever!

Isar database can do much more (and we are just getting started)

- 🕵️ **Full-text search**. Make searching fast and fun
- 📱 **Multiplatform**. iOS, Android, Desktop
- 🧪 **ACID semantics**. Rely on database consistency
- 💃 **Static typing**. Compile-time checked and autocompleted queries
- ✨ **Beautiful documentation**. Readable, easy to understand and ever-improving

## Quickstart

Look this page: [https://isar.xcl.ink/](https://isar.xcl.ink/)

### License

```
Copyright 2024 ZiXuan Tian

Licensed under the GNU GENERAL PUBLIC License, Version 3.0 (the "License");
```
